import { useSelector } from 'react-redux';
import { StoreState } from '@Reducers/_InitializeStore/types';

/**
 * 描述 : 取得 Redux 內的值
 */

export default function useMappedState<T>(
  mapState: (state: StoreState) => T,
  equalityFn?: (left: T, right: T) => boolean,
): T {
  return useSelector<StoreState, T>(mapState, equalityFn);
}
